#include <stdio.h>
#include <stdlib.h>
#include <math.h>


int main()
{
    int n = 200000;
    int m = 10;
    char t[n];
    char s[m];

    scanf("%s", &t);
    scanf("%s", &s);

    int tn = strlen(t);
    int sm = strlen(s);

    int nizPojavljivanja[strlen(s)];

    for(int i=0;i<sm;i++)
    {
        nizPojavljivanja[i] = 0;

        for(int j=0;j<tn;j++)
        {
            if(t[j] == s[i])
            {
                nizPojavljivanja[i] += 1;
            }
        }
    }

    int min = INT_MAX;
    int index;

    for(int i=0;i<sm;i++)
    {
        if(nizPojavljivanja[i] == 0)
        {
            nizPojavljivanja[i] = INT_MAX;
        }
    }

    for(int i=0;i<sm;i++)
    {
        if(nizPojavljivanja[i] < min)
        {
            min = nizPojavljivanja[i];
            index = i;
        }
    }

    printf("%d\n", min);

    for(int i=0;i<tn;i++)
    {
        if(t[i] == s[index])
        {
            t[i] = '*';
        }
    }

    printf("%s\n", t);

    return 0;
}